#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sys

if len(sys.argv) < 3:
    print "Usage: python replkana.txt <Input File> <Output File>"
    sys.exit(0)

d = {
    u'ア':u'グ',
    u'イ':u'ガ',
    u'ウ':u'ブ',
    u'エ':u'ボ',
    u'オ':u'カ',
    u'カ':u'ゼ',
    u'キ':u'キ',
    u'ク':u'ギ',
    u'ケ':u'オ',
    u'コ':u'ノ',
    u'ガ':u'セ',
    u'ギ':u'ア',
    u'グ':u'コ',
    u'ゲ':u'パ',
    u'ゴ':u'ビ',
    u'サ':u'チ',
    u'シ':u'ジ',
    u'ス':u'ホ',
    u'セ':u'サ',
    u'ソ':u'ス',
    u'ザ':u'ヌ',
    u'ジ':u'ズ',
    u'ズ':u'リ',
    u'ゼ':u'ゲ',
    u'ゾ':u'ツ',
    u'タ':u'ゴ',
    u'チ':u'ク',
    u'ツ':u'ユ',
    u'テ':u'ヨ',
    u'ト':u'ベ',
    u'ナ':u'テ',
    u'ニ':u'フ',
    u'ヌ':u'ム',
    u'ネ':u'タ',
    u'ノ':u'モ',
    u'ハ':u'ウ',
    u'ヒ':u'バ',
    u'フ':u'ピ',
    u'ヘ':u'ケ',
    u'ホ':u'ヒ',
    u'バ':u'ヘ',
    u'ビ':u'ラ',
    u'ブ':u'ヤ',
    u'ベ':u'ト',
    u'ボ':u'イ',
    u'パ':u'ル',
    u'ピ':u'シ',
    u'プ':u'ザ',
    u'ペ':u'ニ',
    u'ポ':u'プ',
    u'マ':u'レ',
    u'ミ':u'ワ',
    u'ム':u'エ',
    u'メ':u'マ',
    u'モ':u'ロ',
    u'ヤ':u'ペ',
    u'ユ':u'ポ',
    u'ヨ':u'ソ',
    u'ラ':u'ネ',
    u'リ':u'メ',
    u'ル':u'ミ',
    u'レ':u'ゾ',
    u'ロ':u'ハ',
    u'ワ':u'ナ',
    u'ン':u'ン',
    u'ッ':u'ッ',
    u'ァ':u'ァ',
    u'ィ':u'ィ',
    u'ゥ':u'ゥ',
    u'ェ':u'ェ',
    u'ォ':u'ォ',
    u'ャ':u'ャ',
    u'ュ':u'ュ',
    u'ョ':u'ョ'
}

with open(sys.argv[1], "r") as f:
    text = f.read()

t2 = []
for c in text.decode("utf-8"):
    t2.append(d.get(c, c))

text = "".join(t2)

with open(sys.argv[2], "w") as f:
    f.write(text.encode("utf-8"))
