#!/usr/bin/env python
# -*- coding: utf-8 -*-

# カードと適性
headers = [
    # (適性, カード名)
    (6, u"exchange"),
    (6, u"item 1"),
    (6, u"item 2"),
    (6, u"item 3"),
    (6, u"item 4"),
    (6, u"item 5"),
    (6, u"item 6"),
    (6, u"skill 1"),
]

#----------------------------------------------------------------

import random
import itertools

def diceroll():
    # ダイスを振る
    return int(random.randrange(1, 7) + random.randrange(1, 7))

arr = [0] * len(headers)

# 最大の適性値を求めておく
maxv = 0
for card in headers:
    maxv = max(maxv, card[0])

# 1000回試行
for i in xrange(1000):
    maxd = 0
    selected = None
    for card in itertools.chain(headers[1:], headers[:1]):
        vocation = card[0]
        if card == headers[0]:
            vocation -= 6
        if maxv - vocation < 22:
            selected = card
            break
    assert selected
    for card in itertools.chain(headers[1:], headers[:1]):
        d = diceroll()
        if d == 2:
            continue
        vocation = card[0]
        if card == headers[0]:
            vocation -= 6
        if 22 <= (maxv - vocation):
            continue
        d = (1 + vocation) / 2 + d
        if maxd < d:
            selected = card
            maxd = d

    arr[headers.index(selected)] += 1

for index in xrange(len(headers)):
    print "%-8s: %d" % (headers[index][1], arr[index])
