#!/usr/bin/env python
# -*- coding: utf-8 -*-

# カードと適性
headers = [
    # (適性, カード名)
    (6, u"exchange"),
    (6, u"item 1"),
    (6, u"item 2"),
    (6, u"item 3"),
    (6, u"item 4"),
    (6, u"item 5"),
    (6, u"skill 1"),
]

#----------------------------------------------------------------

import sys
import random
import itertools

def diceroll():
    # ダイスを振る
    return int(random.randrange(1, 7)) + int(random.randrange(1, 7))

arr = [0] * len(headers)

# 1000回試行
for i in xrange(1000):
    maxd = -2147483647
    selected = None
    for card in itertools.chain(headers[1:], headers[:1]):
        d = diceroll()
        vocation = card[0]
        if card == headers[0]:
            vocation -= 6
        d = (1 + vocation) / 2 + diceroll()
        if maxd < d:
            selected = card
            maxd = d

    arr[headers.index(selected)] += 1

for index in xrange(len(headers)):
    print "%-8s: %d" % (headers[index][1], arr[index])
